Deletes a template by name in a tenant

DELETE /users/templates/{templateName}

Operation id: UserMappingTemplateService_DeleteUserTemplate

Description

Permission Level: Read-Write

Tags: UserMappingTemplateService

Parameters

Path parameters

NameTypeRequiredDescription
templateNamearrayYeslist of names of the user-mapping-template to delete, Required: true

Query parameters

NameTypeRequiredDescription
tenantIdstringNoTenant id of the user-mapping-template to delete, Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

{
  "type": "object",
  "properties": {}
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}